import type { HightouchAPIIntegrations, IntegrationSettings, HightouchEvent, DeepPartial, Context, UserInfoState, RoutingRule, DestinationFilters, HightouchAPIConsentSettings } from '..';
import type { Storage, StorageConfig, DeepLinkData, Watchable, Settable, Dictionary, Queue } from './types';
export declare class SovranStorage implements Storage {
    private storeId;
    private storePersistor?;
    private storePersistorSaveDelay?;
    private readinessStore;
    private contextStore;
    private consentSettingsStore;
    private settingsStore;
    private userInfoStore;
    private deepLinkStore;
    private filtersStore;
    private pendingStore;
    readonly isReady: Watchable<boolean>;
    readonly context: Watchable<DeepPartial<Context> | undefined> & Settable<DeepPartial<Context>>;
    readonly settings: Watchable<HightouchAPIIntegrations | undefined> & Settable<HightouchAPIIntegrations> & Dictionary<string, IntegrationSettings, HightouchAPIIntegrations>;
    readonly consentSettings: Watchable<HightouchAPIConsentSettings | undefined> & Settable<HightouchAPIConsentSettings | undefined>;
    readonly filters: Watchable<DestinationFilters | undefined> & Settable<DestinationFilters> & Dictionary<string, RoutingRule, DestinationFilters>;
    readonly userInfo: Watchable<UserInfoState> & Settable<UserInfoState>;
    readonly deepLinkData: Watchable<DeepLinkData>;
    readonly pendingEvents: Watchable<HightouchEvent[]> & Settable<HightouchEvent[]> & Queue<HightouchEvent, HightouchEvent[]>;
    constructor(config: StorageConfig);
    /**
     * This is a fix for users that have started the app with the anonymousId set to 'anonymousId' bug
     */
    private fixAnonymousId;
}
//# sourceMappingURL=sovranStorage.d.ts.map